(*
 * The LOOP Project
 *
 * The LOOP Team, Dresden University and Nijmegen University
 *
 * Copyright (C) 2002
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License in file COPYING in this or one of the
 * parent directories for more details.
 *
 * Created 14.5.99 by Hendrik
 *
 * Time-stamp: <Monday 8 October 01 17:58:00 tews@ithif51>
 *
 * update method pass for CCSL
 *
 * $Id: attribute_pass.mli,v 1.4 2002/05/03 15:01:06 tews Exp $
 *
 *)

open Top_variant_types
open Classtypes;;


 (*******************************************************************
  *
  * interface for update method pass
  *)

exception Update_Method_Error

  (* add update methods for attributes to classes  *)

val ccsl_update_method_pass : Classtypes.ccsl_ast list -> unit

val ccsl_attribute_assertion_pass : Classtypes.ccsl_ast list -> unit


(*** Local Variables: ***)
(*** version-control: t ***)
(*** kept-new-versions: 5 ***)
(*** delete-old-versions: t ***)
(*** time-stamp-line-limit: 30 ***)
(*** End: ***)

